Skip to main content

Speech to Text

POST 

/v1/tools/asr

Transcribe an audio file into text. The whole file is sent in one request and the complete transcript is returned. See the Speech to Text guide for the languages, limits, errors and billing.

Request​

Body

required

    file binaryrequired

    The audio file: 16-bit PCM WAV or Ogg Opus. See the Speech to Text guide for the limits.

Responses​

OK, returns the transcript.

Schema

    request_id stringrequired

    The request ID.

    text stringrequired

    The transcript.

    duration_ms integerrequired

    The duration of the audio, in milliseconds.

Loading...